FIND_GET_PAGES_CONTI(9)

NAME
find_get_pages_contig - gang contiguous pagecache lookup

SYNOPSIS

unsigned find_get_pages_contig(struct address_space * mapping, pgoff_t index, unsigned int nr_pages, struct page ** pages);

ARGUMENTS

mapping
    The address_space to search

index
    The starting page index

nr_pages
    The maximum number of pages

pages
    Where the resulting pages are placed

DESCRIPTION

find_get_pages_contig works exactly like find_get_pages, except that the returned number of pages are guaranteed to be contiguous.

find_get_pages_contig returns the number of pages which were found.

COPYRIGHT